package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * LAN traffic info
 */
@ApiModel(description = "LAN traffic info")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class LanTraffic   {
  @JsonProperty("rxPkts")
  private Long rxPkts;

  @JsonProperty("txPkts")
  private Long txPkts;

  @JsonProperty("rx")
  private Long rx;

  @JsonProperty("tx")
  private Long tx;

  @JsonProperty("rxDropPkts")
  private Long rxDropPkts;

  @JsonProperty("txDropPkts")
  private Long txDropPkts;

  @JsonProperty("rxErrPkts")
  private Long rxErrPkts;

  @JsonProperty("txErrPkts")
  private Long txErrPkts;

  public LanTraffic rxPkts(Long rxPkts) {
    this.rxPkts = rxPkts;
    return this;
  }

  /**
   * Total RX packets
   * @return rxPkts
  */
  @ApiModelProperty(value = "Total RX packets")


  public Long getRxPkts() {
    return rxPkts;
  }

  public void setRxPkts(Long rxPkts) {
    this.rxPkts = rxPkts;
  }

  public LanTraffic txPkts(Long txPkts) {
    this.txPkts = txPkts;
    return this;
  }

  /**
   * Total TX packets
   * @return txPkts
  */
  @ApiModelProperty(value = "Total TX packets")


  public Long getTxPkts() {
    return txPkts;
  }

  public void setTxPkts(Long txPkts) {
    this.txPkts = txPkts;
  }

  public LanTraffic rx(Long rx) {
    this.rx = rx;
    return this;
  }

  /**
   * Total RX bytes, Unit: Byte
   * @return rx
  */
  @ApiModelProperty(value = "Total RX bytes, Unit: Byte")


  public Long getRx() {
    return rx;
  }

  public void setRx(Long rx) {
    this.rx = rx;
  }

  public LanTraffic tx(Long tx) {
    this.tx = tx;
    return this;
  }

  /**
   * Total TX bytes, Unit: Byte
   * @return tx
  */
  @ApiModelProperty(value = "Total TX bytes, Unit: Byte")


  public Long getTx() {
    return tx;
  }

  public void setTx(Long tx) {
    this.tx = tx;
  }

  public LanTraffic rxDropPkts(Long rxDropPkts) {
    this.rxDropPkts = rxDropPkts;
    return this;
  }

  /**
   * RX dropped packets
   * @return rxDropPkts
  */
  @ApiModelProperty(value = "RX dropped packets")


  public Long getRxDropPkts() {
    return rxDropPkts;
  }

  public void setRxDropPkts(Long rxDropPkts) {
    this.rxDropPkts = rxDropPkts;
  }

  public LanTraffic txDropPkts(Long txDropPkts) {
    this.txDropPkts = txDropPkts;
    return this;
  }

  /**
   * TX dropped packets
   * @return txDropPkts
  */
  @ApiModelProperty(value = "TX dropped packets")


  public Long getTxDropPkts() {
    return txDropPkts;
  }

  public void setTxDropPkts(Long txDropPkts) {
    this.txDropPkts = txDropPkts;
  }

  public LanTraffic rxErrPkts(Long rxErrPkts) {
    this.rxErrPkts = rxErrPkts;
    return this;
  }

  /**
   * RX error packets
   * @return rxErrPkts
  */
  @ApiModelProperty(value = "RX error packets")


  public Long getRxErrPkts() {
    return rxErrPkts;
  }

  public void setRxErrPkts(Long rxErrPkts) {
    this.rxErrPkts = rxErrPkts;
  }

  public LanTraffic txErrPkts(Long txErrPkts) {
    this.txErrPkts = txErrPkts;
    return this;
  }

  /**
   * TX error packets
   * @return txErrPkts
  */
  @ApiModelProperty(value = "TX error packets")


  public Long getTxErrPkts() {
    return txErrPkts;
  }

  public void setTxErrPkts(Long txErrPkts) {
    this.txErrPkts = txErrPkts;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LanTraffic lanTraffic = (LanTraffic) o;
    return Objects.equals(this.rxPkts, lanTraffic.rxPkts) &&
        Objects.equals(this.txPkts, lanTraffic.txPkts) &&
        Objects.equals(this.rx, lanTraffic.rx) &&
        Objects.equals(this.tx, lanTraffic.tx) &&
        Objects.equals(this.rxDropPkts, lanTraffic.rxDropPkts) &&
        Objects.equals(this.txDropPkts, lanTraffic.txDropPkts) &&
        Objects.equals(this.rxErrPkts, lanTraffic.rxErrPkts) &&
        Objects.equals(this.txErrPkts, lanTraffic.txErrPkts);
  }

  @Override
  public int hashCode() {
    return Objects.hash(rxPkts, txPkts, rx, tx, rxDropPkts, txDropPkts, rxErrPkts, txErrPkts);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LanTraffic {\n");
    
    sb.append("    rxPkts: ").append(toIndentedString(rxPkts)).append("\n");
    sb.append("    txPkts: ").append(toIndentedString(txPkts)).append("\n");
    sb.append("    rx: ").append(toIndentedString(rx)).append("\n");
    sb.append("    tx: ").append(toIndentedString(tx)).append("\n");
    sb.append("    rxDropPkts: ").append(toIndentedString(rxDropPkts)).append("\n");
    sb.append("    txDropPkts: ").append(toIndentedString(txDropPkts)).append("\n");
    sb.append("    rxErrPkts: ").append(toIndentedString(rxErrPkts)).append("\n");
    sb.append("    txErrPkts: ").append(toIndentedString(txErrPkts)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

